Index: /palm/trunk/SOURCE/nesting_offl_mod.f90
===================================================================
--- /palm/trunk/SOURCE/nesting_offl_mod.f90	(revision 4833)
+++ /palm/trunk/SOURCE/nesting_offl_mod.f90	(revision 4834)
@@ -633,81 +657,70 @@
                              MERGE( 2, 0, bc_dirichlet_r),                                         &
                              .TRUE. )
-
-          CALL get_variable( pids_id, 'ls_forcing_right_v',                                        &
-                             nest_offl%v_r,                                                        &
-                             MERGE( nysv, 1, bc_dirichlet_r),                                      &
-                             MERGE( nzb+1, 1, bc_dirichlet_r),                                     &
-                             MERGE( nest_offl%tind+1, 1, bc_dirichlet_r),                          &
-                             MERGE( nyn-nysv+1, 0, bc_dirichlet_r),                                &
-                             MERGE( nest_offl%nzu, 0, bc_dirichlet_r),                             &
-                             MERGE( 2, 0, bc_dirichlet_r),                                         &
-                             .TRUE. )
-
-          CALL get_variable( pids_id, 'ls_forcing_right_w',                                        &
-                             nest_offl%w_r,                                                        &
+       ENDIF
+
+       IF ( humidity )  THEN
+          CALL get_variable( pids_id, 'ls_forcing_right_qv',                                       &
+                             nest_offl%q_r,                                                        &
                              MERGE( nys+1, 1, bc_dirichlet_r),                                     &
                              MERGE( nzb+1, 1, bc_dirichlet_r),                                     &
                              MERGE( nest_offl%tind+1, 1, bc_dirichlet_r),                          &
                              MERGE( nyn-nys+1, 0, bc_dirichlet_r),                                 &
-                             MERGE( nest_offl%nzw, 0, bc_dirichlet_r),                             &
+                             MERGE( nest_offl%nzu, 0, bc_dirichlet_r),                             &
                              MERGE( 2, 0, bc_dirichlet_r),                                         &
                              .TRUE. )
-
-          IF ( .NOT. neutral )  THEN
-             CALL get_variable( pids_id, 'ls_forcing_right_pt',                                    &
-                                nest_offl%pt_r,                                                    &
-                                MERGE( nys+1, 1, bc_dirichlet_r),                                  &
-                                MERGE( nzb+1, 1, bc_dirichlet_r),                                  &
-                                MERGE( nest_offl%tind+1, 1, bc_dirichlet_r),                       &
-                                MERGE( nyn-nys+1, 0, bc_dirichlet_r),                              &
-                                MERGE( nest_offl%nzu, 0, bc_dirichlet_r),                          &
-                                MERGE( 2, 0, bc_dirichlet_r),                                      &
-                                .TRUE. )
-          ENDIF
-
-          IF ( humidity )  THEN
-             CALL get_variable( pids_id, 'ls_forcing_right_qv',                                    &
-                                nest_offl%q_r,                                                     &
-                                MERGE( nys+1, 1, bc_dirichlet_r),                                  &
-                                MERGE( nzb+1, 1, bc_dirichlet_r),                                  &
-                                MERGE( nest_offl%tind+1, 1, bc_dirichlet_r),                       &
-                                MERGE( nyn-nys+1, 0, bc_dirichlet_r),                              &
-                                MERGE( nest_offl%nzu, 0, bc_dirichlet_r),                          &
-                                MERGE( 2, 0, bc_dirichlet_r),                                      &
-                                .TRUE. )
-          ENDIF
-
-          IF ( air_chemistry  .AND.  nesting_offline_chem )  THEN
-             DO  n = 1, UBOUND(nest_offl%var_names_chem_r, 1)
-                IF ( check_existence( nest_offl%var_names,                                         &
-                                      nest_offl%var_names_chem_r(n) ) )  THEN
-                   CALL get_variable( pids_id,                                                     &
-                                      TRIM( nest_offl%var_names_chem_r(n) ),                       &
-                                      nest_offl%chem_r(:,:,:,n),                                   &
-                                      MERGE( nys+1, 1, bc_dirichlet_r),                            &
-                                      MERGE( nzb+1, 1, bc_dirichlet_r),                            &
-                                      MERGE( nest_offl%tind+1, 1, bc_dirichlet_r),                 &
-                                      MERGE( nyn-nys+1, 0, bc_dirichlet_r),                        &
-                                      MERGE( nest_offl%nzu, 0, bc_dirichlet_r),                    &
-                                      MERGE( 2, 0, bc_dirichlet_r),                                &
-                                      .TRUE. )
-                   nest_offl%chem_from_file_r(n) = .TRUE.
-                ENDIF
-             ENDDO
-          ENDIF
-!
-!--       Read data for northern boundary
-          CALL get_variable( pids_id, 'ls_forcing_north_u',                                        &
-                             nest_offl%u_n,                                                        &
-                             MERGE( nxlu, 1, bc_dirichlet_n ),                                     &
-                             MERGE( nzb+1, 1, bc_dirichlet_n ),                                    &
-                             MERGE( nest_offl%tind+1, 1, bc_dirichlet_n ),                         &
-                             MERGE( nxr-nxlu+1, 0, bc_dirichlet_n ),                               &
-                             MERGE( nest_offl%nzu, 0, bc_dirichlet_n ),                            &
-                             MERGE( 2, 0, bc_dirichlet_n ),                                        &
-                             .TRUE. )
-
-          CALL get_variable( pids_id, 'ls_forcing_north_v',                                        &
-                             nest_offl%v_n,                                                        &
+       ENDIF
+
+       IF ( air_chemistry  .AND.  nesting_offline_chem )  THEN
+          DO  n = 1, UBOUND( nest_offl%var_names_chem_r, 1 )
+             IF ( check_existence( nest_offl%var_names, nest_offl%var_names_chem_r(n) ) )  THEN
+                CALL get_variable( pids_id,                                                        &
+                                   TRIM( nest_offl%var_names_chem_r(n) ),                          &
+                                   nest_offl%chem_r(:,:,:,n),                                      &
+                                   MERGE( nys+1, 1, bc_dirichlet_r),                               &
+                                   MERGE( nzb+1, 1, bc_dirichlet_r),                               &
+                                   MERGE( nest_offl%tind+1, 1, bc_dirichlet_r),                    &
+                                   MERGE( nyn-nys+1, 0, bc_dirichlet_r),                           &
+                                   MERGE( nest_offl%nzu, 0, bc_dirichlet_r),                       &
+                                   MERGE( 2, 0, bc_dirichlet_r),                                   &
+                                   .TRUE. )
+                nest_offl%chem_from_file_r(n) = .TRUE.
+             ENDIF
+          ENDDO
+       ENDIF
+!
+!--    Read data for northern boundary
+       CALL get_variable( pids_id, 'ls_forcing_north_u',                                           &
+                          nest_offl%u_n,                                                           &
+                          MERGE( nxlu, 1, bc_dirichlet_n ),                                        &
+                          MERGE( nzb+1, 1, bc_dirichlet_n ),                                       &
+                          MERGE( nest_offl%tind+1, 1, bc_dirichlet_n ),                            &
+                          MERGE( nxr-nxlu+1, 0, bc_dirichlet_n ),                                  &
+                          MERGE( nest_offl%nzu, 0, bc_dirichlet_n ),                               &
+                          MERGE( 2, 0, bc_dirichlet_n ),                                           &
+                          .TRUE. )
+
+       CALL get_variable( pids_id, 'ls_forcing_north_v',                                           &
+                          nest_offl%v_n,                                                           &
+                          MERGE( nxl+1, 1, bc_dirichlet_n ),                                       &
+                          MERGE( nzb+1, 1, bc_dirichlet_n ),                                       &
+                          MERGE( nest_offl%tind+1, 1, bc_dirichlet_n ),                            &
+                          MERGE( nxr-nxl+1, 0, bc_dirichlet_n ),                                   &
+                          MERGE( nest_offl%nzu, 0, bc_dirichlet_n ),                               &
+                          MERGE( 2, 0, bc_dirichlet_n ),                                           &
+                          .TRUE. )
+
+       CALL get_variable( pids_id, 'ls_forcing_north_w',                                           &
+                          nest_offl%w_n,                                                           &
+                          MERGE( nxl+1, 1, bc_dirichlet_n ),                                       &
+                          MERGE( nzb+1, 1, bc_dirichlet_n ),                                       &
+                          MERGE( nest_offl%tind+1, 1, bc_dirichlet_n ),                            &
+                          MERGE( nxr-nxl+1, 0, bc_dirichlet_n ),                                   &
+                          MERGE( nest_offl%nzw, 0, bc_dirichlet_n ),                               &
+                          MERGE( 2, 0, bc_dirichlet_n ),                                           &
+                          .TRUE. )
+
+       IF ( .NOT. neutral )  THEN
+          CALL get_variable( pids_id, 'ls_forcing_north_pt',                                       &
+                             nest_offl%pt_n,                                                       &
                              MERGE( nxl+1, 1, bc_dirichlet_n ),                                    &
                              MERGE( nzb+1, 1, bc_dirichlet_n ),                                    &
@@ -717,70 +730,69 @@
                              MERGE( 2, 0, bc_dirichlet_n ),                                        &
                              .TRUE. )
-
-          CALL get_variable( pids_id, 'ls_forcing_north_w',                                        &
-                             nest_offl%w_n,                                                        &
+       ENDIF
+       IF ( humidity )  THEN
+          CALL get_variable( pids_id, 'ls_forcing_north_qv',                                       &
+                             nest_offl%q_n,                                                        &
                              MERGE( nxl+1, 1, bc_dirichlet_n ),                                    &
                              MERGE( nzb+1, 1, bc_dirichlet_n ),                                    &
                              MERGE( nest_offl%tind+1, 1, bc_dirichlet_n ),                         &
                              MERGE( nxr-nxl+1, 0, bc_dirichlet_n ),                                &
-                             MERGE( nest_offl%nzw, 0, bc_dirichlet_n ),                            &
+                             MERGE( nest_offl%nzu, 0, bc_dirichlet_n ),                            &
                              MERGE( 2, 0, bc_dirichlet_n ),                                        &
                              .TRUE. )
-
-          IF ( .NOT. neutral )  THEN
-             CALL get_variable( pids_id, 'ls_forcing_north_pt',                                    &
-                                nest_offl%pt_n,                                                    &
-                                MERGE( nxl+1, 1, bc_dirichlet_n ),                                 &
-                                MERGE( nzb+1, 1, bc_dirichlet_n ),                                 &
-                                MERGE( nest_offl%tind+1, 1, bc_dirichlet_n ),                      &
-                                MERGE( nxr-nxl+1, 0, bc_dirichlet_n ),                             &
-                                MERGE( nest_offl%nzu, 0, bc_dirichlet_n ),                         &
-                                MERGE( 2, 0, bc_dirichlet_n ),                                     &
-                                .TRUE. )
-          ENDIF
-          IF ( humidity )  THEN
-             CALL get_variable( pids_id, 'ls_forcing_north_qv',                                    &
-                                nest_offl%q_n,                                                     &
-                                MERGE( nxl+1, 1, bc_dirichlet_n ),                                 &
-                                MERGE( nzb+1, 1, bc_dirichlet_n ),                                 &
-                                MERGE( nest_offl%tind+1, 1, bc_dirichlet_n ),                      &
-                                MERGE( nxr-nxl+1, 0, bc_dirichlet_n ),                             &
-                                MERGE( nest_offl%nzu, 0, bc_dirichlet_n ),                         &
-                                MERGE( 2, 0, bc_dirichlet_n ),                                     &
-                                .TRUE. )
-          ENDIF
-
-          IF ( air_chemistry  .AND.  nesting_offline_chem )  THEN
-             DO  n = 1, UBOUND(nest_offl%var_names_chem_n, 1)
-                IF ( check_existence( nest_offl%var_names,                                         &
-                                      nest_offl%var_names_chem_n(n) ) )  THEN
-                   CALL get_variable( pids_id,                                                     &
-                                      TRIM( nest_offl%var_names_chem_n(n) ),                       &
-                                      nest_offl%chem_n(:,:,:,n),                                   &
-                                      MERGE( nxl+1, 1, bc_dirichlet_n ),                           &
-                                      MERGE( nzb+1, 1, bc_dirichlet_n ),                           &
-                                      MERGE( nest_offl%tind+1, 1, bc_dirichlet_n ),                &
-                                      MERGE( nxr-nxl+1, 0, bc_dirichlet_n ),                       &
-                                      MERGE( nest_offl%nzu, 0, bc_dirichlet_n ),                   &
-                                      MERGE( 2, 0, bc_dirichlet_n ),                               &
-                                      .TRUE. )
-                   nest_offl%chem_from_file_n(n) = .TRUE.
-                ENDIF
-             ENDDO
-          ENDIF
-!
-!--       Read data for southern boundary
-          CALL get_variable( pids_id, 'ls_forcing_south_u',                                        &
-                             nest_offl%u_s,                                                        &
-                             MERGE( nxlu, 1, bc_dirichlet_s ),                                     &
-                             MERGE( nzb+1, 1, bc_dirichlet_s ),                                    &
-                             MERGE( nest_offl%tind+1, 1, bc_dirichlet_s ),                         &
-                             MERGE( nxr-nxlu+1, 0, bc_dirichlet_s ),                               &
-                             MERGE( nest_offl%nzu, 0, bc_dirichlet_s ),                            &
-                             MERGE( 2, 0, bc_dirichlet_s ),                                        &
-                             .TRUE. )
-
-          CALL get_variable( pids_id, 'ls_forcing_south_v',                                        &
-                             nest_offl%v_s,                                                        &
+       ENDIF
+
+       IF ( air_chemistry  .AND.  nesting_offline_chem )  THEN
+          DO  n = 1, UBOUND( nest_offl%var_names_chem_n, 1 )
+             IF ( check_existence( nest_offl%var_names, nest_offl%var_names_chem_n(n) ) )  THEN
+                CALL get_variable( pids_id,                                                        &
+                                   TRIM( nest_offl%var_names_chem_n(n) ),                          &
+                                   nest_offl%chem_n(:,:,:,n),                                      &
+                                   MERGE( nxl+1, 1, bc_dirichlet_n ),                              &
+                                   MERGE( nzb+1, 1, bc_dirichlet_n ),                              &
+                                   MERGE( nest_offl%tind+1, 1, bc_dirichlet_n ),                   &
+                                   MERGE( nxr-nxl+1, 0, bc_dirichlet_n ),                          &
+                                   MERGE( nest_offl%nzu, 0, bc_dirichlet_n ),                      &
+                                   MERGE( 2, 0, bc_dirichlet_n ),                                  &
+                                   .TRUE. )
+                nest_offl%chem_from_file_n(n) = .TRUE.
+             ENDIF
+          ENDDO
+       ENDIF
+!
+!--    Read data for southern boundary
+       CALL get_variable( pids_id, 'ls_forcing_south_u',                                           &
+                          nest_offl%u_s,                                                           &
+                          MERGE( nxlu, 1, bc_dirichlet_s ),                                        &
+                          MERGE( nzb+1, 1, bc_dirichlet_s ),                                       &
+                          MERGE( nest_offl%tind+1, 1, bc_dirichlet_s ),                            &
+                          MERGE( nxr-nxlu+1, 0, bc_dirichlet_s ),                                  &
+                          MERGE( nest_offl%nzu, 0, bc_dirichlet_s ),                               &
+                          MERGE( 2, 0, bc_dirichlet_s ),                                           &
+                          .TRUE. )
+
+       CALL get_variable( pids_id, 'ls_forcing_south_v',                                           &
+                          nest_offl%v_s,                                                           &
+                          MERGE( nxl+1, 1, bc_dirichlet_s ),                                       &
+                          MERGE( nzb+1, 1, bc_dirichlet_s ),                                       &
+                          MERGE( nest_offl%tind+1, 1, bc_dirichlet_s ),                            &
+                          MERGE( nxr-nxl+1, 0, bc_dirichlet_s ),                                   &
+                          MERGE( nest_offl%nzu, 0, bc_dirichlet_s ),                               &
+                          MERGE( 2, 0, bc_dirichlet_s ),                                           &
+                          .TRUE. )
+
+       CALL get_variable( pids_id, 'ls_forcing_south_w',                                           &
+                          nest_offl%w_s,                                                           &
+                          MERGE( nxl+1, 1, bc_dirichlet_s ),                                       &
+                          MERGE( nzb+1, 1, bc_dirichlet_s ),                                       &
+                          MERGE( nest_offl%tind+1, 1, bc_dirichlet_s ),                            &
+                          MERGE( nxr-nxl+1, 0, bc_dirichlet_s ),                                   &
+                          MERGE( nest_offl%nzw, 0, bc_dirichlet_s ),                               &
+                          MERGE( 2, 0, bc_dirichlet_s ),                                           &
+                          .TRUE. )
+
+       IF ( .NOT. neutral )  THEN
+          CALL get_variable( pids_id, 'ls_forcing_south_pt',                                       &
+                             nest_offl%pt_s,                                                       &
                              MERGE( nxl+1, 1, bc_dirichlet_s ),                                    &
                              MERGE( nzb+1, 1, bc_dirichlet_s ),                                    &
